HanMacWrdJGraphInternal::Frame Struct Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Friends | List of all members
HanMacWrdJGraphInternal::Frame Struct Reference

Internal: the frame header of a HanMacWrdJGraph. More...

Inheritance diagram for HanMacWrdJGraphInternal::Frame:

## Public Member Functions
| Frame ()
| constructor More...
virtual | ~Frame ()
| destructor More...
MWAWBox2f | getBdBox () const
| return the frame bdbox More...
virtual bool | valid () const
| returns true if the frame data are read More...

## Public Attributes
int | m_type
| the graph type More...
long | m_fileId
| the file id More...
int | m_id
| the local id More...
int | m_formatId
| the format id More...
int | m_page
| the page More...
MWAWBox2f | m_pos
| the position More...
float | m_baseline
| the baseline More...
bool | m_inGroup
| true if this node is a group's child More...
bool | m_parsed
| true if we have send the data More...
std::string | m_extra
| an extra string More...

## Friends
std::ostream & | operator<< (std::ostream &o, Frame const &grph)
| operator<< More...

## Detailed Description

Internal: the frame header of a HanMacWrdJGraph.

## Constructor & Destructor Documentation

HanMacWrdJGraphInternal::Frame::Frame | ( |  | ) |
| inline

constructor

HanMacWrdJGraphInternal::Frame::~Frame | ( |  | ) |
| virtual

destructor

## Member Function Documentation

MWAWBox2f HanMacWrdJGraphInternal::Frame::getBdBox | ( |  | ) | const
| inline

return the frame bdbox

Referenced by HanMacWrdJGraph::sendComment(), HanMacWrdJGraph::sendFrame(), HanMacWrdJGraph::sendGroup(), HanMacWrdJGraph::sendGroupChild(), HanMacWrdJGraph::sendPictureFrame(), HanMacWrdJGraph::sendShapeGraph(), and HanMacWrdJGraph::sendTextbox().

virtual bool HanMacWrdJGraphInternal::Frame::valid | ( |  | ) | const
| inlinevirtual

returns true if the frame data are read

Reimplemented in HanMacWrdJGraphInternal::ShapeGraph, HanMacWrdJGraphInternal::TextFrame, HanMacWrdJGraphInternal::TextboxFrame, HanMacWrdJGraphInternal::TableFrame, HanMacWrdJGraphInternal::SeparatorFrame, HanMacWrdJGraphInternal::PictureFrame, HanMacWrdJGraphInternal::Group, and HanMacWrdJGraphInternal::CommentFrame.

Referenced by HanMacWrdJGraph::checkGroupStructures(), HanMacWrdJGraph::flushExtra(), HanMacWrdJGraph::getFootnoteInformations(), HanMacWrdJGraph::getTextFrameInformations(), HanMacWrdJGraph::numPages(), HanMacWrdJGraph::prepareStructures(), HanMacWrdJGraph::sendFrame(), HanMacWrdJGraph::sendGroup(), HanMacWrdJGraph::sendPageGraphics(), and HanMacWrdJGraph::sendTableUnformatted().

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | Frame const & | grph
| ) |  |
| friend

operator<<

## Member Data Documentation

float HanMacWrdJGraphInternal::Frame::m_baseline

the baseline

Referenced by HanMacWrdJGraphInternal::operator<<(), and HanMacWrdJGraph::readFrame().

std::string HanMacWrdJGraphInternal::Frame::m_extra

an extra string

Referenced by HanMacWrdJGraphInternal::operator<<(), and HanMacWrdJGraph::readFrame().

long HanMacWrdJGraphInternal::Frame::m_fileId

the file id

Referenced by HanMacWrdJGraphInternal::operator<<(), HanMacWrdJGraph::prepareStructures(), HanMacWrdJGraph::sendFrame(), and HanMacWrdJGraph::sendTextbox().

int HanMacWrdJGraphInternal::Frame::m_formatId

the format id

Referenced by HanMacWrdJGraphInternal::operator<<(), HanMacWrdJGraph::readFrame(), HanMacWrdJGraph::sendComment(), HanMacWrdJGraph::sendFrame(), HanMacWrdJGraph::sendGroup(), HanMacWrdJGraph::sendGroupChild(), HanMacWrdJGraph::sendShapeGraph(), and HanMacWrdJGraph::sendTextbox().

int HanMacWrdJGraphInternal::Frame::m_id

the local id

Referenced by HanMacWrdJGraphInternal::operator<<(), and HanMacWrdJGraph::readFrame().

bool HanMacWrdJGraphInternal::Frame::m_inGroup

true if this node is a group's child

Referenced by HanMacWrdJGraph::checkGroupStructures(), HanMacWrdJGraph::prepareStructures(), and HanMacWrdJGraph::sendPageGraphics().

int HanMacWrdJGraphInternal::Frame::m_page

the page

Referenced by HanMacWrdJGraph::canCreateGraphic(), HanMacWrdJGraph::numPages(), HanMacWrdJGraphInternal::operator<<(), HanMacWrdJGraph::readFrame(), HanMacWrdJGraph::sendGroupChild(), and HanMacWrdJGraph::sendPageGraphics().

bool HanMacWrdJGraphInternal::Frame::m_parsed
| mutable

true if we have send the data

Referenced by HanMacWrdJGraph::flushExtra(), HanMacWrdJGraph::sendFrame(), HanMacWrdJGraph::sendGroup(), HanMacWrdJGraph::sendGroupChild(), HanMacWrdJGraph::sendPageGraphics(), and HanMacWrdJGraph::sendPictureFrame().

MWAWBox2f HanMacWrdJGraphInternal::Frame::m_pos

the position

Referenced by HanMacWrdJGraphInternal::operator<<(), HanMacWrdJGraph::readFrame(), HanMacWrdJGraph::readGraphData(), HanMacWrdJGraph::sendGroupChild(), and HanMacWrdJGraph::sendPageGraphics().

int HanMacWrdJGraphInternal::Frame::m_type

the graph type

Referenced by HanMacWrdJGraph::canCreateGraphic(), HanMacWrdJGraph::checkGroupStructures(), HanMacWrdJGraph::flushExtra(), HanMacWrdJGraph::getFootnoteInformations(), HanMacWrdJGraph::getTextFrameInformations(), HanMacWrdJGraphInternal::operator<<(), HanMacWrdJGraph::prepareStructures(), HanMacWrdJGraph::readFrame(), HanMacWrdJGraph::sendFrame(), HanMacWrdJGraph::sendGroup(), HanMacWrdJGraph::sendGroupChild(), HanMacWrdJGraph::sendPageGraphics(), and HanMacWrdJGraph::sendTableUnformatted().

The documentation for this struct was generated from the following file:

- HanMacWrdJGraph.cxx